Bug 145645 - calc: pivot table popdown don't dismiss when menu item selected
Summary: calc: pivot table popdown don't dismiss when menu item selected
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-12 15:31 UTC by Caolán McNamara
Modified: 2021-11-18 16:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
reproducer (7.97 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-11-12 15:33 UTC, Caolán McNamara
Details
real reproducer (9.58 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-11-12 15:36 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2021-11-12 15:31:14 UTC
Description:
calc pivot table popdown don't dismiss when menu item selected. The related autofilter popdown does however.

Steps to Reproduce:
1. open attachment
2. click indicator in D1
3. click sort descending

Actual Results:
popup still visible

Expected Results:
popup should be dismissed


Reproducible: Always


User Profile Reset: No



Additional Info:
A problem since...

commit 69b376d21dfe43482f67ece137421a7487f0cbae
Author: Samuel Mehrbrodt <samuel.mehrbrodt@allotropia.de>
Date:   Mon May 10 16:55:53 2021 +0200

    tdf#76258 Various fixes for color filter
    
    Change-Id: Ifb4114597efcb7a957d2e42867d1bdc8abfe7730
    Reviewed-on: https://gerrit.libreoffice.org/c/core/+/115340
    Tested-by: Jenkins
    Reviewed-by: Samuel Mehrbrodt <samuel.mehrbrodt@allotropia.de>
Comment 1 Caolán McNamara 2021-11-12 15:33:38 UTC
Created attachment 176210 [details]
reproducer
Comment 2 Caolán McNamara 2021-11-12 15:36:12 UTC
Created attachment 176211 [details]
real reproducer
Comment 3 Commit Notification 2021-11-12 20:34:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3509a42a042db1628acc59dfc13298639745f62e

Resolves: tdf#145645 pivot table popups don't dismiss when item activated

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2021-11-12 20:35:04 UTC
works now in trunk, backport to 7-2 in gerrit
Comment 5 Commit Notification 2021-11-14 19:41:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/ecb15ba80cd85e40da5d2d48a394d4cbc9a43bba

Resolves: tdf#145645 pivot table popups don't dismiss when item activated

It will be available in 7.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2021-11-15 11:49:19 UTC
Verified in

Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: e6968f0485cfb2f6c941d11c438386e14a47095d
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 7 Commit Notification 2021-11-18 11:16:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-3":

https://git.libreoffice.org/core/commit/27b11edf8050fa6edf0c42a28a5e438038a5f8ff

Resolves: tdf#145645 pivot table popups don't dismiss when item activated

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.